[G86GL] Latest NVIDIA drivers: X hangs with blank screen after logout.

Bug #258357 reported by Benjamin Redelings on 2008-08-15
238
This bug affects 22 people
Affects Status Importance Assigned to Milestone
nvidia-graphics-drivers-177 (Ubuntu)
Undecided
Unassigned
nvidia-graphics-drivers-180 (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: linux-restricted-modules-2.6.26-5-generic

I am currently using the 177 nvidia drivers with kernel 2.6.26.
I have an IBM thinkpad T61 laptop with an nVidia Quadro NVS 140M (rev a1) graphics card.
After upgrading to the current driver, what usually happens is

1. Gdm starts
2. I log in
3. Gnome works fine
4. When I log out, the laptop screen goes blank and stays blank.

When the screen goes blank
(a) I cannot switch to a VT using Ctrl-Alt-F1 or Alt-F1.
(b) The backlight is at its highest-setting - so the screen is "bright" black.

If I alternately press Ctrl-Alt-F1, Ctrl-Alt-F7, Ctrl-Alt-Backspace, and Ctrl-Alt-Delete, I can usually manage to make the computer restart.

I should also note that, while this usually happens only after logging out, it also happens occasionally before logging in, so that when GDM first starts, the screen is blank and the computer is unusable.
-
Description: Ubuntu intrepid (development branch)
Release: 8.10
-
Linux mutant 2.6.26-5-generic #1 SMP Thu Aug 14 20:04:33 UTC 2008 x86_64 GNU/Linux

Excerpt from xorg.0.log:

(II) NVIDIA(0): NVIDIA GPU Quadro NVS 140M (G86GL) at PCI:1:0:0 (GPU-0)
(WW) NVIDIA(0): The EDID for LEN (DFP-0) contradicts itself: mode "1440x900"
(WW) NVIDIA(0): is specified in the EDID; however, the EDID's valid
(WW) NVIDIA(0): HorizSync range (46.301-55.556 kHz) would exclude this
(WW) NVIDIA(0): mode's HorizSync (37.0 kHz); ignoring HorizSync check for
(WW) NVIDIA(0): mode "1440x900".
(WW) NVIDIA(0): The EDID for LEN (DFP-0) contradicts itself: mode "1440x900"
(WW) NVIDIA(0): is specified in the EDID; however, the EDID's valid
(WW) NVIDIA(0): VertRefresh range (50.000-60.000 Hz) would exclude this
(WW) NVIDIA(0): mode's VertRefresh (40.0 Hz); ignoring VertRefresh check
(WW) NVIDIA(0): for mode "1440x900".
(WW) NVIDIA(0): The EDID for LEN (DFP-0) contradicts itself: mode "1440x900"
(WW) NVIDIA(0): is specified in the EDID; however, the EDID's valid
(WW) NVIDIA(0): HorizSync range (46.301-55.556 kHz) would exclude this
(WW) NVIDIA(0): mode's HorizSync (37.0 kHz); ignoring HorizSync check for
(WW) NVIDIA(0): mode "1440x900".
(WW) NVIDIA(0): The EDID for LEN (DFP-0) contradicts itself: mode "1440x900"
(WW) NVIDIA(0): is specified in the EDID; however, the EDID's valid
(WW) NVIDIA(0): VertRefresh range (50.000-60.000 Hz) would exclude this
(WW) NVIDIA(0): mode's VertRefresh (40.0 Hz); ignoring VertRefresh check
(WW) NVIDIA(0): for mode "1440x900".
(II) NVIDIA(0): Assigned Display Device: DFP-0
(==) NVIDIA(0):
(==) NVIDIA(0): No modes were requested; the default mode "nvidia-auto-select"
(==) NVIDIA(0): will be used as the requested mode.
(==) NVIDIA(0):
(II) NVIDIA(0): Validated modes:
(II) NVIDIA(0): "nvidia-auto-select"
(II) NVIDIA(0): Virtual screen size determined to be 1440 x 900

It seems that what is happening is this:

When X uses the nvidia driver (but not the nv driver) it hangs for about 10 seconds before starting. During this hang, I cannot switch to a VT, and the backlight is on. Eventually, however, the backlight turns off, the nVidia logo flashes on the screen, and then X starts.

However, if X is run by GDM, then GDM does not wait long enough for this process to finish. So, just as X is actually starting, GDM decides that it has failed and kills the X server before it can finish starting. Then it tries again.

After it has tried several times, it then tries to run the "fail-safe" mode with a lower resolution (800x600). However, it fails to draw it correctly, and part of the screen contains garbage, part of the left side of the window is drawn on the right side of the screen, etc.

So, it seems that something is causing the 177 nvidia driver to hang temporarily on startup. This is what causes the problem.

I also tried this with an /etc/X11/xorg.conf that was freshly generated from dexconf, and has almost no actual settings in it. (I guess the 1.5 X server is supposed to auto-detect these.) This xorg.conf works - but it uses the nv driver. If I add one line to switch to the nvidia driver, then it hangs.

I am still not sure exactly where in the startup sequence it is hanging.

Andreas Moog (ampelbein) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better.

Please attach your X server log file (/var/log/Xorg.0.log) to the bug report as uncompressed file attachment using the "Attachment:" box below. Thanks in advance.

Changed in nvidia-graphics-drivers-177:
assignee: nobody → andreas-moog
status: New → Incomplete
Andreas Moog (ampelbein) on 2008-08-20
Changed in nvidia-graphics-drivers-177:
assignee: andreas-moog → nobody
status: Incomplete → Confirmed
Andreas Moog (ampelbein) on 2008-08-26
description: updated

I can report that, unfortunately, this bug still exists on 177.70 and 2.6.27-2 (x86_64).

I also did some more testing, in an attempt to find out where in the initialization process the hang is occurring. I ran the command
% time X >out 2>err & (sleep 3 ; pkill -9 X) &
This sends the kill signal to the X server 3 seconds after starting. The results for the time are (roughly):
real: 30s
user: 0s
sys: 30s
So, the X server hangs for 30 seconds, doing some kind of work in a system call. Even though it was killed with -9, it doesn't quite immediately, hanging for 30 seconds. If I remove the "-9", then the X server takes 35 seconds, and shows the nvidia logo screen before exiting.

I have attaches Xorg.0.log

I also did an "strace -r" on X, and determined that it does indeed hang for 30 seconds in a system call, and dies of a SIGKILL immediately afterwards. The relevant part of the log (the end) is this:

--------------------- from strace ------------------
     0.000047 stat("/dev/nvidia0", {st_mode=S_IFCHR|0660, st_rdev=makedev(195, 0), ...}) = 0
     0.000066 open("/dev/nvidia0", O_RDWR <unfinished ...>
    30.774676 +++ killed by SIGKILL +++
Process 10565 detached
-------------------- end strace ----------------------

So, this hang is in the kernel module, I presume. I'm not sure how to determine where in the kernel modules its hanging, though.

I have attached the entire strace below.

Alberto Milone (albertomilone) wrote :

1) What happens if you remove these options from the xorg.conf?
    Option "NvAGP" "1"
    Option "AddARGBGLXVisuals" "True"
    Option "DisableGLXRootClipping" "True"

2) can you reproduce the problem if you install nvidia-glx-173?

To answer the first question,
I have removed those options, and it doesn't make a difference.

To answer the second question,
nvidia-glx-173 (along with version 173 of the kernel module) does NOT have the problem.

Incidentally, in case it wasn't clear from the above snippet from strace, the actually call that is hanging is an ioctl call on /dev/nvidia0. The open call does not hang.

In the case of 173, the ioctl call stalls the system too, but only for 4.5 seconds:

     0.000059 stat("/dev/nvidia0", {st_mode=S_IFCHR|0660, st_rdev=makedev(195, 0), ...}) = 0
     0.000079 open("/dev/nvidia0", O_RDWR <unfinished ...>
     4.529254 +++ killed by SIGKILL ++

Alberto Milone (albertomilone) wrote :

Please report the problem to NVIDIA so that they can fix it:
http://www.nvnews.net/vbulletin/forumdisplay.php?f=14

joenix (woutersj) wrote :

As a temporary workaround, I have changed the value of GdmXserverTimeout from 10 to 60 in /etc/gdm/gdm.conf.
The 30 seconds delay of course remains, but at least gdm works again.

joenix (woutersj) wrote :

I have sent a bug report to <email address hidden>. I will post any follow-up information here.

Thanks for assembling the bug report, joenix. Yeah, I changed the timeout from 10 to 40 on my T61 laptop, and now at least GDM works.

Barteq (barteqpl) wrote :

Confirm this bug. Same issue, same hardware. Forced me to move back to 173 driver, which works fine.
The only difference that my kernel is 32 bit not 64.
So.. waiting for nvidia to patch it.

joenix (woutersj) wrote :

A quick update: I haven't had any reply from NVIDIA yet, not sure if I ever will.

Josh Pavlovich (joshpavlovich) wrote :

I can also confirm this bug with the nVida 177 driver...I have the following hardware:

Lenovo Thinkpad T61p laptop with an nVidia Quadro FX 570M GPU

I have reverted back to the 173 restricted driver and everything works as expected upon logout.

blah (dhbabey) wrote :

I'm seeing the exact same issue with a T61p as well... trying to revert to the 173 now, and hopefully that will fix the problem!

SiLeNcE (bastian-beischer) wrote :

After upgrading today, the issue is fixed on my system! Attached the log of the update run (most packages probably irrelevant, but I included them nevertheless just in case)

[UPGRADE] f-spot 0.5.0.3-0ubuntu2 -> 0.5.0.3-0ubuntu3
[UPGRADE] gedit 2.24.0-0ubuntu1 -> 2.24.1-0ubuntu1
[UPGRADE] gedit-common 2.24.0-0ubuntu1 -> 2.24.1-0ubuntu1
[UPGRADE] gnome-panel 1:2.24.1-0ubuntu2 -> 1:2.24.1-0ubuntu2.1
[UPGRADE] gnome-panel-data 1:2.24.1-0ubuntu2 -> 1:2.24.1-0ubuntu2.1
[UPGRADE] gnome-settings-daemon 2.24.0-0ubuntu3 -> 2.24.0-0ubuntu3.1
[UPGRADE] libasound2-plugins 1.0.17-0ubuntu4 -> 1.0.17-0ubuntu5
[UPGRADE] libgtksourceview2.0-0 2.4.0-0ubuntu1 -> 2.4.1-0ubuntu1
[UPGRADE] libgtksourceview2.0-common 2.4.0-0ubuntu1 -> 2.4.1-0ubuntu1
[UPGRADE] libpanel-applet2-0 1:2.24.1-0ubuntu2 -> 1:2.24.1-0ubuntu2.1
[UPGRADE] libpango1.0-0 1.22.1-0ubuntu1 -> 1.22.2-0ubuntu1
[UPGRADE] libpango1.0-common 1.22.1-0ubuntu1 -> 1.22.2-0ubuntu1
[UPGRADE] libpango1.0-dev 1.22.1-0ubuntu1 -> 1.22.2-0ubuntu1
[UPGRADE] libvolume-id0 124-8 -> 124-9
[UPGRADE] nvidia-173-modaliases 173.14.12-1-0ubuntu4 -> 173.14.12-1-0ubuntu5
[UPGRADE] nvidia-177-kernel-source 177.80-0ubuntu2 -> 177.80-0ubuntu3
[UPGRADE] nvidia-177-modaliases 177.80-0ubuntu2 -> 177.80-0ubuntu3
[UPGRADE] nvidia-71-modaliases 71.86.04-0ubuntu10 -> 71.86.07-0ubuntu1
[UPGRADE] nvidia-96-modaliases 96.43.05-0ubuntu10 -> 96.43.09-0ubuntu1
[UPGRADE] nvidia-glx-177 177.80-0ubuntu2 -> 177.80-0ubuntu3
[UPGRADE] nvidia-settings 177.78-0ubuntu2 -> 177.78-0ubuntu2.1
[UPGRADE] pm-utils 1.1.2.4-1ubuntu7 -> 1.1.2.4-1ubuntu8
[UPGRADE] udev 124-8 -> 124-9
[UPGRADE] xserver-xorg-input-evdev 1:2.0.99+git20080912-0ubuntu5 -> 1:2.0.99+git20080912-0ubuntu6

JeppeM (jeppe-mariager) wrote :

Even with 177.80, there is still issues with this bug. I have it personally, have so does an other ubuntuforum user... See the post here (a search for .80 reveals that he is using the .80 driver, and not the .70 as originally reported in this bug). http://ubuntuforums.org/showthread.php?t=968873

I have just checked, and my entire system is up to date, so whatever you did SiLeNcE, i think you got lucky :)

Tommi Mikkola (tommi-mikkola) wrote :

I can confirm that the latest version (*-ubuntu3) from the _proposed_ repositories does NOT fix this for me. I'm running on Lenovo T61p T9300 with Quadro FX 570M. Reverted back to 173-series drivers.

Gert van Dijk (gertvdijk) wrote :

I can also confirm it has not been fixed in the latest packages. (same hardware as Tommi Mikkola)

I'm using joenix' workaround (thanks joenix!), because I like the faster resume from suspend for the 177 driver and I don't log out or switch user much.

SiLeNcE (bastian-beischer) wrote :

Ok here's a small update:

I agree the bug has not been fixed I am experiencing the same problems again, I'm sorry for the confusion.
But! Nevertheless after I upgraded it seemed to be fixed, and the reason is the following:

After upgrading I had a second monitor connected to the VGA output of my Thinkpad T61. It was not used, but it was there, so X detected it. In this case, the logout/ X restart worked flawlessly.

Back at home I didn't have the second monitor connected. The bug reappeared!

The problem must be related to X / multiple screen support!

Cheers
Bastian

cenora (cenora) wrote :

I can confirm this happens on my Lenovo R61 - same NVIDIA Quadro 140M card.

Jason Dolan (jason.t.dolan) wrote :

Bug confirmed on my Lenovo T61P with a NVIDIA Quadro 140M card as well. System is fully up to date.

JeppeM (jeppe-mariager) wrote :

I can confirm what SiLeNcE said earlier, with dual screen it messes up, but with single screen (laptop screen only) it works normally...

SiLeNcE (bastian-beischer) wrote :

For me it is the other way around: Once I have a second monitor connected it starts working normally!

Gert van Dijk (gertvdijk) wrote :

JeppeM and SiLeNcE: could you check if you're only having problems when there are EDID warnings in the X log? It might be related.

Jamin W. Collins (jcollins) wrote :

The timeout change does not seem to work for me, though downgrading to 173 does seem to work. I'm attaching the output from lspci -vv from my T61p.

As for the X log, I have the following EDID entries in it:

(WW) NVIDIA(0): The EDID for LEN (DFP-0) contradicts itself: mode "1920x1200"
(WW) NVIDIA(0): is specified in the EDID; however, the EDID's valid
(WW) NVIDIA(0): HorizSync range (61.000-73.199 kHz) would exclude this
(WW) NVIDIA(0): mode's HorizSync (48.8 kHz); ignoring HorizSync check for
(WW) NVIDIA(0): mode "1920x1200".
(WW) NVIDIA(0): The EDID for LEN (DFP-0) contradicts itself: mode "1920x1200"
(WW) NVIDIA(0): is specified in the EDID; however, the EDID's valid
(WW) NVIDIA(0): VertRefresh range (50.000-60.000 Hz) would exclude this
(WW) NVIDIA(0): mode's VertRefresh (40.0 Hz); ignoring VertRefresh check
(WW) NVIDIA(0): for mode "1920x1200".
(WW) NVIDIA(0): The EDID for LEN (DFP-0) contradicts itself: mode "1920x1200"
(WW) NVIDIA(0): is specified in the EDID; however, the EDID's valid
(WW) NVIDIA(0): HorizSync range (61.000-73.199 kHz) would exclude this
(WW) NVIDIA(0): mode's HorizSync (48.8 kHz); ignoring HorizSync check for
(WW) NVIDIA(0): mode "1920x1200".
(WW) NVIDIA(0): The EDID for LEN (DFP-0) contradicts itself: mode "1920x1200"
(WW) NVIDIA(0): is specified in the EDID; however, the EDID's valid
(WW) NVIDIA(0): VertRefresh range (50.000-60.000 Hz) would exclude this
(WW) NVIDIA(0): mode's VertRefresh (40.0 Hz); ignoring VertRefresh check
(WW) NVIDIA(0): for mode "1920x1200".

I don't know that they are related as the above output is from a good start.

David Pugal (david-ut-ee) wrote :

I think it is related. I get the similar output for my T61 and all the symptoms are the same. I tried with different xorg.conf files (let the nvidia-settings to generate one and with my backup files and nothing.)

Arthur V (arthur00) wrote :

I get the same output on my T61p and same symptoms.. Tried to upgrade to 177.82 (177.80 is default) , didn't help.

Serge Liberloo (seli) wrote :

A workaround for this is to increse the GdmXserverTimeout from 10 seconds to 60 seconds. Its seems that X needs more time to perform its required task. You can find the parameter in /etc/gdm/gdm.conf

Ivica Loncar (iloncar-ml) wrote :

Same issue on R61 with 140M. I'm using nvidia-glx-177.

Ian Haycox (ian-haycox) wrote :

Upgrading to the Nvidia driver 180.06 direct from Nvidia's web site fixed this problem for me. I can now logout and switch users without problem.

P.s. Tried it with and without desktop effects enabled and it seems to work in all cases.

Ian Haycox (ian-haycox) wrote :

FYI The new 180.06 driver also fixed https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/288066 for me.

TWFJR (tom-fiechtl) wrote :

I have tried every suggestion to fix the nvidia driver and nothing is working. From editing to trying other drivers, to using Envyng. Nvidia does not recommend using any driver that Ubuntu has not recommended. I'm not seeing a fix and after more than 24 hours on this problem I am ready to download Ubuntu 8.04. Hope the next Ubuntu upgrade has resolved the graphics driver issue.

pezplaya (pezplaya) wrote :

I can confirm the error. I'm using a Lenovo T61 with a nVidia Quadro NVS 140M. I have tried the 177.80 driver as well as the 177.82 with no luck.

vince (vince17) wrote :

Same problem on a T61p with a Quadro FX 570 M. The nvidia-glx-173 driver works fine.

Jay (jaywesleycarman) wrote :

Yet another confirmation on a Lenovo T61p with an nVIDIA Quadro FX 570M.

yikai (medzkairson) wrote :

Hi! I'm on a T61 with NVS140M, Intrepid Kernel 2.6.27, nvidia 177 driver and KDM (KDE 4.2) as display manager. To get my Xserver to restart after killing it, I had to change ServerTimeout from 15 to 60s in /etc/kde4/kdm/kdmrc. As long as nvidia 180.22 driver is not in the repros, I'll leave it as such... gotta work some time, too ;-).

Soenke (s0enke) wrote :

Also confirmed with 180.22.

James Lambert (jms-lambert) wrote :

Confirmed with 180.27

Bryce Harrington (bryce) wrote :

[This is an automated message]

In Jaunty (9.04), we are dropping the nvidia-graphics-drivers-177 package, which
is now superseded by then nvidia-graphics-drivers-180 package.

  http://bugs.launchpad.net/ubuntu/+source/nvidia-graphics-drivers-180

To transition your bug into the new package, we need your help. Please do the following:

 a. Verify the bug occurs in Jaunty with the -180 driver
     (ISOs: http://cdimage.ubuntu.com/releases/jaunty/)
 b. If you haven't already, please include in the bug:
     * Your /var/log/Xorg.0.log
     * Your /etc/X11/xorg.conf
     * The output of `lspci -vvnn`
     * Steps to reproduce the issue
 c. Under Affects, click the down arrow to the left of 'nvidia-graphics-drivers-177'
 d. Edit the Package to change 'nvidia-graphics-drivers-177' to 'nvidia-graphics-drivers-180'
 e. Click Save Changes

Thank you!

[We'll expire the remaining -177 bugs in a month or so.]

plutino (plutino) wrote :

problem confirmed on a T61 with the 180 driver. I also have the Qudro 140 card.

sommerkom (sommerkom) wrote :

Problem confirmed on T61 with Quadro 140. Appears with all 177 versions, still not fixed with 180.11. Any hope thinkpad people won't be stuck with the 173 driver forever?

Jamin W. Collins (jcollins) wrote :

A viable work around does exist. Yes, the bug is annoying, I don't much enjoy the 30+ second delay to exit and login again, but it's much less annoying than the period kernel oops caused by the wireless.

sommerkom (sommerkom) wrote :

I am not talking about these 20 secs, which are annoying only. However, AFAIK this workaround doesn't fix the suspend/hibernate function. Thinkpads in particular are not exactly uncommon in offices and that's where I use mine. Thus not being able to change places without rebooting and loosing my entire setup absolutely forces me to stay with the 173 driver.

wintercorn wrote:
> I am not talking about these 20 secs, which are annoying only. However,
> AFAIK this workaround doesn't fix the suspend/hibernate function.
> Thinkpads in particular are not exactly uncommon in offices and that's
> where I use mine. Thus not being able to change places without rebooting
> and loosing my entire setup absolutely forces me to stay with the 173
> driver.

I routinely suspend and resume my T61p. I did make some changes, as far
as I can recall, these are the changes:

/etc/defaults/acpi-support

# Should we attempt to warm-boot the video hardware on resume?
POST_VIDEO=false

SAVE_VBE_STATE=false

/boot/grub/menu.lst

# defoptions=quiet splash acpi_sleep=s3_mode

/etc/X11/xorg.conf

Section "Device"
      ...
      Option "NvAGP" "1"
EndSection

cviorel (viorel-ciucu) wrote :

Confirmed on my T61 (nVIDIA Quadro NVS 140M) with 180.29 driver, running kernel: 2.6.27-11-generic.

cue (keino) wrote :

I also confirm the bug.
Unfortunately not even the workaround with the 30s delay does work for me.
Setup:
Ubuntu 8.10 amd64 on a Thinkpad T61p
NVIDIA Driver Version: 177.82
Quadro FX 570M

I cannot use the logout feature as I have to force reboot afterwards!
I also cannot reboot X Server by using ctrl+alt+backspace, as I will not get back to login again.

Bryce Harrington (bryce) wrote :

[This is an automated message]

In Jaunty (9.04) we have dropped the nvidia-graphics-driver-177 package, as
it is superseded by nvidia-graphics-drivers-180.

Because of this, we are closing this bug as expired.

You are encouraged to file your -nvidia bug reports against the
nvidia-graphics-drivers-180 package.

Changed in nvidia-graphics-drivers-177:
status: New → Invalid

Bryce,

What happens to Intrepid (8.10) users until Jaunty is launched? Can we
upgrade to the 180 package? It is surely not listed as a restricted drivers
option.

Cenora

On Tue, Mar 10, 2009 at 4:27 AM, Bryce Harrington <<email address hidden>
> wrote:

>
> [This is an automated message]
>
> In Jaunty (9.04) we have dropped the nvidia-graphics-driver-177 package, as
> it is superseded by nvidia-graphics-drivers-180.
>
> Because of this, we are closing this bug as expired.
>
> You are encouraged to file your -nvidia bug reports against the
> nvidia-graphics-drivers-180 package.
>
>
> ** Changed in: nvidia-graphics-drivers-177 (Ubuntu)
> Status: New => Invalid
>
> --
> [G86GL] Latest NVIDIA drivers: X hangs with blank screen after logout.
> https://bugs.launchpad.net/bugs/258357
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Jamin W. Collins (jcollins) wrote :

Won't much matter, as far as I can tell the problem exists with the 180.x driver as well.

plutino (plutino) wrote :
Download full text (4.5 KiB)

You can install the driver with: sudo apt-get install nvidia-glx-180
but as Jamin said, it does not matter since bug exists in the 180 as well.

Chris

On Wed, Mar 11, 2009 at 2:38 PM, cenora <email address hidden> wrote:
> Bryce,
>
> What happens to Intrepid (8.10) users until Jaunty is launched? Can we
> upgrade to the 180 package? It is surely not listed as a restricted drivers
> option.
>
>
> Cenora
>
> On Tue, Mar 10, 2009 at 4:27 AM, Bryce Harrington <<email address hidden>
>> wrote:
>
>>
>> [This is an automated message]
>>
>> In Jaunty (9.04) we have dropped the nvidia-graphics-driver-177 package, as
>> it is superseded by nvidia-graphics-drivers-180.
>>
>> Because of this, we are closing this bug as expired.
>>
>> You are encouraged to file your -nvidia bug reports against the
>> nvidia-graphics-drivers-180 package.
>>
>>
>> ** Changed in: nvidia-graphics-drivers-177 (Ubuntu)
>>       Status: New => Invalid
>>
>> --
>> [G86GL] Latest NVIDIA drivers: X hangs with blank screen after logout.
>> https://bugs.launchpad.net/bugs/258357
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>
> --
> [G86GL] Latest NVIDIA drivers: X hangs with blank screen after logout.
> https://bugs.launchpad.net/bugs/258357
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “nvidia-graphics-drivers-177” source package in Ubuntu: Invalid
> Status in “nvidia-graphics-drivers-180” source package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: linux-restricted-modules-2.6.26-5-generic
>
> I am currently using the 177 nvidia drivers with kernel 2.6.26.
> I have an IBM thinkpad T61 laptop with an nVidia Quadro NVS 140M (rev a1) graphics card.
> After upgrading to the current driver, what usually happens is
>
> 1. Gdm starts
> 2. I log in
> 3. Gnome works fine
> 4. When I log out, the laptop screen goes blank and stays blank.
>
> When the screen goes blank
> (a) I cannot switch to a VT using Ctrl-Alt-F1 or Alt-F1.
> (b) The backlight is at its highest-setting - so the screen is  "bright" black.
>
> If I alternately press Ctrl-Alt-F1, Ctrl-Alt-F7, Ctrl-Alt-Backspace, and Ctrl-Alt-Delete, I can usually manage to make the computer restart.
>
> I should also note that, while this usually happens only after logging out, it also happens occasionally before logging in, so that when GDM first starts, the screen is blank and the computer is unusable.
> -
> Description:    Ubuntu intrepid (development branch)
> Release:        8.10
> -
> Linux mutant 2.6.26-5-generic #1 SMP Thu Aug 14 20:04:33 UTC 2008 x86_64 GNU/Linux
>
> Excerpt from xorg.0.log:
>
> (II) NVIDIA(0): NVIDIA GPU Quadro NVS 140M (G86GL) at PCI:1:0:0 (GPU-0)
> (WW) NVIDIA(0): The EDID for LEN (DFP-0) contradicts itself: mode "1440x900"
> (WW) NVIDIA(0):     is specified in the EDID; however, the EDID's valid
> (WW) NVIDIA(0):     HorizSync range (46.301-55.556 kHz) would exclude this
> (WW) NVIDIA(0):     mode's HorizSync (37.0 kHz); ignoring HorizSync check for
> (WW) NVIDIA(0):     mode "1440x900".
> (WW) NVIDIA(0): The EDID for LEN (DFP-0) contradicts itself: mode "1440x900"
> (WW) NVIDIA(0):    ...

Read more...

TWFJR (tom-fiechtl) wrote :

Hi Bryce, I just put 8.10 on my wife's computer that has a 6100 Nvidia chip on board. After much research and money spent with tech I opted to use v96. It too has bugs and no support for 3D. Makes me wonder 9.04 will be like. I don't dare try to change my graphics driver. Crossing my fingers. The tech did something right. His advise, don't try 9.04 and don't alter what he did. I'm running 177. 180 did not work on wife's computer. One always looks forward to the next Ubuntu upgrade but I have mixed feelings this time around. Maybe 10.4 will be good.

TWFJR wrote:
> Hi Bryce, I just put 8.10 on my wife's computer that has a 6100 Nvidia
> chip on board. After much research and money spent with tech I opted to
> use v96. It too has bugs and no support for 3D.

nvidia-glx-173 should work with that chipset and does not suffer from
the logout issue.

> I don't dare try to change my graphics driver.

Unless something strange was done, changing between the versions is as
simple as "sudo apt-get install nvidia-glx-173" or "sudo apt-get install
nvidia-glx-96" or even "sudo apt-get install nvidia-glx-177" depending
on the version you want. Of course, after installing the new version,
you'll need to restart X with the new module. Simplest way is a reboot.

> One always looks forward to the next Ubuntu upgrade
> but I have mixed feelings this time around. Maybe 10.4 will be good.

You can hardly blame Ubuntu, or its developers, for problems with a
closed source driver. Complaints or "mixed feelings" should be directed
at the source of the problem. Which in this case would be nvidia.

--
Jamin W. Collins

TWFJR (tom-fiechtl) wrote :

Jamin, I did my complaining with Nvidia. Seems as if they put the blame on Ubuntu. Ubuntu throws it right back at Nvidia. I figure that Ubuntu will lose users and Nvidia will lose customers. Either way, this has gone on for a year and 9.04 is almost here. Either way the consumer doesn't buy something that is broken.

I'm also affected by this bug, using up-to-date Jaunty devel with
nvidia-glx-180 180.37-0ubuntu1
xserver-xorg 1:7.4~5ubuntu16

I had to set the timeout in gdm.conf to 60 seconds, because it takes slighly over 30 seconds to restart Xserver. I've noticed (running "top" via ssh connection) that the X process is consuming 100%CPU all the time.

Hardware info: Lenovo Thinkpad T61 with nVidia Quadro NVS 140M.

Noel J. Bergman (noeljb) wrote :

T61p 6457-7WU
nVidia 185.13
xorg 1:7.4~5ubuntu16

I already have GdmXserverTimeout=60, which does not appear to help anymore.

lhotari (lartsa) wrote :

These settings might help: http://www.nvnews.net/vbulletin/showthread.php?t=118088

my xorg.conf options (not sure if these should be here):
 Option "PixmapCacheSize" "1000000"
 Option "AllowSHMPixmaps" "0"
 Option "PixmapCache" "1"
 Option "PixmapCacheRoundSizeKB" "1024"
 Option "InitialPixmapPlacement" "2"
 Option "GlyphCache" "1"

from command line:
nvidia-settings -a InitialPixmapPlacement=2 -a GlyphCache=1

Jamin W. Collins (jcollins) wrote :

lhotari wrote:
> These settings might help:
> http://www.nvnews.net/vbulletin/showthread.php?t=118088

 From what I can tell, the options referenced are for 2D performance:

"The 177.67 NVIDIA BETA Linux graphics driver release addresses several
known 2D performance issues."

I don't see anything on that site that has to do with the problem at X
logout.

--
Jamin W. Collins

Tom D. (dickmant) wrote :

I also am having this issue on ubuntu jaunty (up to date) with nvidia-glx-180, and I ended up switching to nvidia-glx-173.

Hardware: Lenovo T61 with nVidia Quadro NVS 140M.

Krzysztof Klimonda (kklimonda) wrote :

Same here, had to go back to nvidia-glx-173.
With nvidia-glx-180 after logout X couldn't start again. After two or three minutes and few unsuccessful tries Ubuntu reverted back to "safe" driver but screen was distorted And split in two (I saw right side of the screen on the left side of monitor). There is a way of getting back GDM/X - you have to suspend laptop and then after it wakes up you have to blindly run gdm (blindly because you loose text mode - monitor is totally black, even without backlight). AFAIR logout works after that.
Also there is no problem with VT switching, User switching nor with suspend/resume. Just logging out.
I also have a Lenovo T61 with nvidia quadro nvs 140M but I don't recall having this problem before jaunty.
Oh, there is nothing in any logs indicating any problem. The only weird line I've found was this:
mtrr: base(0xd5000000) is not aligned on a size(0xe00000) boundary
in dmesg output.

Jamin W. Collins (jcollins) wrote :

Have you tried the GDM timeout workaround?

Krzysztof Klimonda (kklimonda) wrote :

Jamin W. Collins wrote:
> Have you tried the GDM timeout workaround?

Yes, setting GdmXserverTimeout to 60 fixes this problem for me.

Tom D. (dickmant) wrote :

I just tried the gdm timeout workaround with nvidia-glx-180, and that appeared to fix the logout issue, but now I am having an issue where my machine hangs during shutdown (after showing the progress bar decreasing all the way, the screen goes black, and just sits there without turning off). Should this be reported as a separate issue?

Noel J. Bergman (noeljb) wrote :

I have:

  [daemon]
  GdmXserverTimeout=60

in /etc/gdm.conf-custom, and it does not fix it for me on Jaunty, whereas it had on Intrepid.

Dave Wolovich (wolovids) wrote :

Do the 180.44 drivers (released today March 30th) fix this issue? Anybody able to try them out?

Jamin W. Collins (jcollins) wrote :

Noel J. Bergman wrote:
> I have:
>
> [daemon]
> GdmXserverTimeout=60
>
> in /etc/gdm.conf-custom, and it does not fix it for me on Jaunty,
> whereas it had on Intrepid.

I found at least one theme package installed a custom gdm.conf that was
being used instead of the one I edited. You may want to make sure the
gdm config you made the change to is the one being used.

--
Jamin W. Collins

David Mabe (davemicc) wrote :

I have the same issue on Jaunty with the 180 drivers, but I just upgraded to 180.44 as Dave recommended and they seem to have fixed the issue. I just uninstalled the packages and ran the install script at:
http://www.nvidia.com/object/linux_display_ia32_180.44.html

The only thing I'm noticing now are weird green and purple rectangles showing up after the splash screen before the computer shuts down.

This is on a Thinkpad T61 with a Quadro NVS 140M.

Tom D. (dickmant) wrote :

I just tested using 180.44, and the logout issue is fixed, but I am still having issues with shutdown. Is anyone having this same issue (I am on a T61 with a Quadro NVS 140M like the previous poster).

This is what happens:
After showing the progress bar decreasing all the way during shutdown, the screen goes black (but the backlight is still on), and just sits there without turning off.

Jamin W. Collins (jcollins) wrote :

Haven't tested shutting down with the new driver yet, but the logout situation does indeed appear to be improved.

Any chance we can see the 180.44 drivers ready for the Jaunty release?

Philip Muškovac (yofel) wrote :

They're working on it in bug 348852 , I really hope it gets in.

Philip Muškovac (yofel) wrote :

Regarding the shutdown issue:
I have a R61 and I get a black screen on shutdown and reboot. It stays there for about 10s before the power get's turned off or the bios screen comes up.

Noel J. Bergman (noeljb) wrote :

Confirmed that 180.44 does fix the logout situation for me, irrespective of the GdmXserverTimeout workaround. And, to be more thorough, suspend-resume also continues to work.

Bryce Harrington (bryce) wrote :

[This is an automated message]

In Jaunty (9.04), we have just updated to the latest
nvidia-graphics-drivers-180 package from nVidia, version 180.44.

This package provides fixes for a large number of bugs, and we need your
assistance in testing if it fixes the issue you reported.

To do this, please do the following:

 a. Update to the 180.44 version of -nvidia using your favorite update
     method

 b. Attempt to reproduce your bug

 c. If your bug still remains, please simply reply to this email
     indicating so.

 d. If your bug is now solved, you can help us by setting your bug
     report to Fix Released:
     * In launchpad, go to your bug report
     * Click on the downward pointing arrow under Status
     * Set the Status field to 'Fix Released'
     * Comment on the change, such as, 'Verified fixed in 180.44'
     * Click 'Save Changes'

 e. If the original problem is solved but there are now other problems,
     please close the original bug and open new ones for those issues.

Thank you!

For details on the changes in this version of -nvidia, please see:

   http://www.nvidia.com/object/linux_display_ia32_180.44.html

Philip Muškovac (yofel) wrote :

I can also confirm that this issue is fixed with 180.44

Download full text (4.7 KiB)

Will it be packaged for Intrepid as well?

On Thu, Apr 2, 2009 at 12:53 PM, Bryce Harrington
<email address hidden> wrote:
>
> [This is an automated message]
>
> In Jaunty (9.04), we have just updated to the latest
> nvidia-graphics-drivers-180 package from nVidia, version 180.44.
>
> This package provides fixes for a large number of bugs, and we need your
> assistance in testing if it fixes the issue you reported.
>
> To do this, please do the following:
>
>  a.  Update to the 180.44 version of -nvidia using your favorite update
>     method
>
>  b.  Attempt to reproduce your bug
>
>  c.  If your bug still remains, please simply reply to this email
>     indicating so.
>
>  d.  If your bug is now solved, you can help us by setting your bug
>     report to Fix Released:
>     * In launchpad, go to your bug report
>     * Click on the downward pointing arrow under Status
>     * Set the Status field to 'Fix Released'
>     * Comment on the change, such as, 'Verified fixed in 180.44'
>     * Click 'Save Changes'
>
>  e.  If the original problem is solved but there are now other problems,
>     please close the original bug and open new ones for those issues.
>
> Thank you!
>
> For details on the changes in this version of -nvidia, please see:
>
>   http://www.nvidia.com/object/linux_display_ia32_180.44.html
>
> --
> [G86GL] Latest NVIDIA drivers: X hangs with blank screen after logout.
> https://bugs.launchpad.net/bugs/258357
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “nvidia-graphics-drivers-177” source package in Ubuntu: Invalid
> Status in “nvidia-graphics-drivers-180” source package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: linux-restricted-modules-2.6.26-5-generic
>
> I am currently using the 177 nvidia drivers with kernel 2.6.26.
> I have an IBM thinkpad T61 laptop with an nVidia Quadro NVS 140M (rev a1) graphics card.
> After upgrading to the current driver, what usually happens is
>
> 1. Gdm starts
> 2. I log in
> 3. Gnome works fine
> 4. When I log out, the laptop screen goes blank and stays blank.
>
> When the screen goes blank
> (a) I cannot switch to a VT using Ctrl-Alt-F1 or Alt-F1.
> (b) The backlight is at its highest-setting - so the screen is  "bright" black.
>
> If I alternately press Ctrl-Alt-F1, Ctrl-Alt-F7, Ctrl-Alt-Backspace, and Ctrl-Alt-Delete, I can usually manage to make the computer restart.
>
> I should also note that, while this usually happens only after logging out, it also happens occasionally before logging in, so that when GDM first starts, the screen is blank and the computer is unusable.
> -
> Description:    Ubuntu intrepid (development branch)
> Release:        8.10
> -
> Linux mutant 2.6.26-5-generic #1 SMP Thu Aug 14 20:04:33 UTC 2008 x86_64 GNU/Linux
>
> Excerpt from xorg.0.log:
>
> (II) NVIDIA(0): NVIDIA GPU Quadro NVS 140M (G86GL) at PCI:1:0:0 (GPU-0)
> (WW) NVIDIA(0): The EDID for LEN (DFP-0) contradicts itself: mode "1440x900"
> (WW) NVIDIA(0):     is specified in the EDID; however, the EDID's valid
> (WW) NVIDIA(0):     HorizSync range (46.301-55.556 kHz) would exclude this
> (WW) NVIDIA(0):     mode's Hori...

Read more...

Philip Muškovac (yofel) wrote :

Since nobody posted that the issue still exists with 180.44 I'll mark this bug as Fix Released.

Changed in nvidia-graphics-drivers-180 (Ubuntu):
status: Confirmed → Fix Released
security vulnerability: no → yes
security vulnerability: yes → no
Ted_Smith (tedsmith28) wrote :

I am experiencing this bug with 173 in Ubuntu 10.04, kernel 2.6.32-22-generic

I switched to the Nouveue driver and the problem stopped. Back to NVIDIA, and it happens again.

Ted_Smith (tedsmith28) wrote :

Having said that, I've just applied updates today (10/06/10) and it seems to be OK for now. The problem did occur 'out-of'the-box' though, and has done for the first few weeks of the 10.04 release (for me).

My card is the NVIDIA Geforce FX5600, by the way, which is one of the older (legacy) cards I think. The latest drivers don't work with it. That might have been the problem.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers